package test;

import java.util.concurrent.TimeUnit;

public class Main {
   private static final int TIMEOUT_SECONDS = 10; // 3600
   private static final long DELAY_MILLISECONDS = 100;

   private static final boolean PURGING = false;
   private static final int PURGE_MOD = 1000;
   private static final int TIMER_SIZE = 100; // 100

   public static void main(String[] args) throws Exception {
      long counter = 0;
      while (true) {
         counter++;
         final MyTimerTask myTimerTask = new MyTimerTask(TIMEOUT_SECONDS, TIMER_SIZE);
         myTimerTask.cancel();
         System.out.println("Count: " + counter);
         try {
            TimeUnit.MILLISECONDS.sleep(DELAY_MILLISECONDS);
         } catch (final InterruptedException e) {
            e.printStackTrace();
         }

         if (PURGING && (counter % PURGE_MOD == 0)) {
            System.out.println("Invoke purge");
            final int purged = MyTimerTask.purgeTimer();
            System.out.println("Purged timers: " + purged);
         }
      }
   }
}
